source: squid-ssl/trunk/fuentes/helpers/digest_auth/file/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 42.8 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92TESTS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = digest_file_auth$(EXEEXT)
95subdir = helpers/digest_auth/file
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"
163PROGRAMS = $(libexec_PROGRAMS)
164am_digest_file_auth_OBJECTS = digest_file_auth.$(OBJEXT) \
165        text_backend.$(OBJEXT)
166digest_file_auth_OBJECTS = $(am_digest_file_auth_OBJECTS)
167digest_file_auth_LDADD = $(LDADD)
168@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
169am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
170        $(am__DEPENDENCIES_1)
171am__DEPENDENCIES_3 =
172digest_file_auth_DEPENDENCIES =  \
173        $(top_builddir)/lib/libmisccontainers.la \
174        $(top_builddir)/lib/libmiscencoding.la $(am__DEPENDENCIES_2) \
175        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3) \
176        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3)
177AM_V_lt = $(am__v_lt_@AM_V@)
178am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
179am__v_lt_0 = --silent
180am__v_lt_1 =
181AM_V_P = $(am__v_P_@AM_V@)
182am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
183am__v_P_0 = false
184am__v_P_1 = :
185AM_V_GEN = $(am__v_GEN_@AM_V@)
186am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
187am__v_GEN_0 = @echo "  GEN     " $@;
188am__v_GEN_1 =
189AM_V_at = $(am__v_at_@AM_V@)
190am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
191am__v_at_0 = @
192am__v_at_1 =
193DEFAULT_INCLUDES =
194depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
195am__depfiles_maybe = depfiles
196am__mv = mv -f
197CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
198        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
199LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
200        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
201        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
202        $(AM_CXXFLAGS) $(CXXFLAGS)
203AM_V_CXX = $(am__v_CXX_@AM_V@)
204am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
205am__v_CXX_0 = @echo "  CXX     " $@;
206am__v_CXX_1 =
207CXXLD = $(CXX)
208CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
209        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
210        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
211AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
212am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
213am__v_CXXLD_0 = @echo "  CXXLD   " $@;
214am__v_CXXLD_1 =
215COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
216        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
217LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
218        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
219        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
220        $(AM_CFLAGS) $(CFLAGS)
221AM_V_CC = $(am__v_CC_@AM_V@)
222am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
223am__v_CC_0 = @echo "  CC      " $@;
224am__v_CC_1 =
225CCLD = $(CC)
226LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
227        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
228        $(AM_LDFLAGS) $(LDFLAGS) -o $@
229AM_V_CCLD = $(am__v_CCLD_@AM_V@)
230am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
231am__v_CCLD_0 = @echo "  CCLD    " $@;
232am__v_CCLD_1 =
233SOURCES = $(digest_file_auth_SOURCES)
234DIST_SOURCES = $(digest_file_auth_SOURCES)
235am__can_run_installinfo = \
236  case $$AM_UPDATE_INFO_DIR in \
237    n|no|NO) false;; \
238    *) (install-info --version) >/dev/null 2>&1;; \
239  esac
240am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
241am__vpath_adj = case $$p in \
242    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
243    *) f=$$p;; \
244  esac;
245am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
246am__install_max = 40
247am__nobase_strip_setup = \
248  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
249am__nobase_strip = \
250  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
251am__nobase_list = $(am__nobase_strip_setup); \
252  for p in $$list; do echo "$$p $$p"; done | \
253  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
254  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
255    if (++n[$$2] == $(am__install_max)) \
256      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
257    END { for (dir in files) print dir, files[dir] }'
258am__base_list = \
259  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
260  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
261am__uninstall_files_from_dir = { \
262  test -z "$$files" \
263    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
264    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
265         $(am__cd) "$$dir" && rm -f $$files; }; \
266  }
267man8dir = $(mandir)/man8
268NROFF = nroff
269MANS = $(man_MANS)
270am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
271# Read a list of newline-separated strings from the standard input,
272# and print each of them once, without duplicates.  Input order is
273# *not* preserved.
274am__uniquify_input = $(AWK) '\
275  BEGIN { nonempty = 0; } \
276  { items[$$0] = 1; nonempty = 1; } \
277  END { if (nonempty) { for (i in items) print i; }; } \
278'
279# Make sure the list of sources is unique.  This is necessary because,
280# e.g., the same source file might be shared among _SOURCES variables
281# for different programs/libraries.
282am__define_uniq_tagged_files = \
283  list='$(am__tagged_files)'; \
284  unique=`for i in $$list; do \
285    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
286  done | $(am__uniquify_input)`
287ETAGS = etags
288CTAGS = ctags
289am__tty_colors_dummy = \
290  mgn= red= grn= lgn= blu= brg= std=; \
291  am__color_tests=no
292am__tty_colors = { \
293  $(am__tty_colors_dummy); \
294  if test "X$(AM_COLOR_TESTS)" = Xno; then \
295    am__color_tests=no; \
296  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
297    am__color_tests=yes; \
298  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
299    am__color_tests=yes; \
300  fi; \
301  if test $$am__color_tests = yes; then \
302    red='[0;31m'; \
303    grn='[0;32m'; \
304    lgn='[1;32m'; \
305    blu='[1;34m'; \
306    mgn='[0;35m'; \
307    brg='[1m'; \
308    std='[m'; \
309  fi; \
310}
311am__recheck_rx = ^[     ]*:recheck:[    ]*
312am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
313am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
314# A command that, given a newline-separated list of test names on the
315# standard input, print the name of the tests that are to be re-run
316# upon "make recheck".
317am__list_recheck_tests = $(AWK) '{ \
318  recheck = 1; \
319  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
320    { \
321      if (rc < 0) \
322        { \
323          if ((getline line2 < ($$0 ".log")) < 0) \
324            recheck = 0; \
325          break; \
326        } \
327      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
328        { \
329          recheck = 0; \
330          break; \
331        } \
332      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
333        { \
334          break; \
335        } \
336    }; \
337  if (recheck) \
338    print $$0; \
339  close ($$0 ".trs"); \
340  close ($$0 ".log"); \
341}'
342# A command that, given a newline-separated list of test names on the
343# standard input, create the global log from their .trs and .log files.
344am__create_global_log = $(AWK) ' \
345function fatal(msg) \
346{ \
347  print "fatal: making $@: " msg | "cat >&2"; \
348  exit 1; \
349} \
350function rst_section(header) \
351{ \
352  print header; \
353  len = length(header); \
354  for (i = 1; i <= len; i = i + 1) \
355    printf "="; \
356  printf "\n\n"; \
357} \
358{ \
359  copy_in_global_log = 1; \
360  global_test_result = "RUN"; \
361  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
362    { \
363      if (rc < 0) \
364         fatal("failed to read from " $$0 ".trs"); \
365      if (line ~ /$(am__global_test_result_rx)/) \
366        { \
367          sub("$(am__global_test_result_rx)", "", line); \
368          sub("[        ]*$$", "", line); \
369          global_test_result = line; \
370        } \
371      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
372        copy_in_global_log = 0; \
373    }; \
374  if (copy_in_global_log) \
375    { \
376      rst_section(global_test_result ": " $$0); \
377      while ((rc = (getline line < ($$0 ".log"))) != 0) \
378      { \
379        if (rc < 0) \
380          fatal("failed to read from " $$0 ".log"); \
381        print line; \
382      }; \
383      printf "\n"; \
384    }; \
385  close ($$0 ".trs"); \
386  close ($$0 ".log"); \
387}'
388# Restructured Text title.
389am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
390# Solaris 10 'make', and several other traditional 'make' implementations,
391# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
392# by disabling -e (using the XSI extension "set +e") if it's set.
393am__sh_e_setup = case $$- in *e*) set +e;; esac
394# Default flags passed to test drivers.
395am__common_driver_flags = \
396  --color-tests "$$am__color_tests" \
397  --enable-hard-errors "$$am__enable_hard_errors" \
398  --expect-failure "$$am__expect_failure"
399# To be inserted before the command running the test.  Creates the
400# directory for the log if needed.  Stores in $dir the directory
401# containing $f, in $tst the test, in $log the log.  Executes the
402# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
403# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
404# will run the test scripts (or their associated LOG_COMPILER, if
405# thy have one).
406am__check_pre = \
407$(am__sh_e_setup);                                      \
408$(am__vpath_adj_setup) $(am__vpath_adj)                 \
409$(am__tty_colors);                                      \
410srcdir=$(srcdir); export srcdir;                        \
411case "$@" in                                            \
412  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
413    *) am__odir=.;;                                     \
414esac;                                                   \
415test "x$$am__odir" = x"." || test -d "$$am__odir"       \
416  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
417if test -f "./$$f"; then dir=./;                        \
418elif test -f "$$f"; then dir=;                          \
419else dir="$(srcdir)/"; fi;                              \
420tst=$$dir$$f; log='$@';                                 \
421if test -n '$(DISABLE_HARD_ERRORS)'; then               \
422  am__enable_hard_errors=no;                            \
423else                                                    \
424  am__enable_hard_errors=yes;                           \
425fi;                                                     \
426case " $(XFAIL_TESTS) " in                              \
427  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
428    am__expect_failure=yes;;                            \
429  *)                                                    \
430    am__expect_failure=no;;                             \
431esac;                                                   \
432$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
433# A shell command to get the names of the tests scripts with any registered
434# extension removed (i.e., equivalently, the names of the test logs, with
435# the '.log' extension removed).  The result is saved in the shell variable
436# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
437# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
438# since that might cause problem with VPATH rewrites for suffix-less tests.
439# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
440am__set_TESTS_bases = \
441  bases='$(TEST_LOGS)'; \
442  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
443  bases=`echo $$bases`
444RECHECK_LOGS = $(TEST_LOGS)
445AM_RECURSIVE_TARGETS = check recheck
446TEST_SUITE_LOG = test-suite.log
447TEST_EXTENSIONS = @EXEEXT@ .test
448am__test_logs1 = $(TESTS:=.log)
449am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
450TEST_LOGS = $(am__test_logs2:.test.log=.log)
451TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
452TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
453        $(TEST_LOG_FLAGS)
454am__set_b = \
455  case '$@' in \
456    */*) \
457      case '$*' in \
458        */*) b='$*';; \
459          *) b=`echo '$@' | sed 's/\.log$$//'`; \
460       esac;; \
461    *) \
462      b='$*';; \
463  esac
464am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
465        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
466DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
467ACLOCAL = @ACLOCAL@
468ADAPTATION_LIBS = @ADAPTATION_LIBS@
469ALLOCA = @ALLOCA@
470AMTAR = @AMTAR@
471AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
472AR = @AR@
473ARGZ_H = @ARGZ_H@
474AR_R = @AR_R@
475AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
476AUTH_MODULES = @AUTH_MODULES@
477AUTOCONF = @AUTOCONF@
478AUTOHEADER = @AUTOHEADER@
479AUTOMAKE = @AUTOMAKE@
480AWK = @AWK@
481BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
482BUILDCXX = @BUILDCXX@
483BUILDCXXFLAGS = @BUILDCXXFLAGS@
484BZR = @BZR@
485CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
486CC = @CC@
487CCDEPMODE = @CCDEPMODE@
488CFLAGS = @CFLAGS@
489CGIEXT = @CGIEXT@
490CHMOD = @CHMOD@
491CPP = @CPP@
492CPPFLAGS = @CPPFLAGS@
493CPPUNITCONFIG = @CPPUNITCONFIG@
494CRYPTLIB = @CRYPTLIB@
495CXX = @CXX@
496CXXCPP = @CXXCPP@
497CXXDEPMODE = @CXXDEPMODE@
498CXXFLAGS = @CXXFLAGS@
499CYGPATH_W = @CYGPATH_W@
500DEFAULT_HOSTS = @DEFAULT_HOSTS@
501DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
502DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
503DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
504DEFS = @DEFS@
505DEPDIR = @DEPDIR@
506DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
507DISK_LIBS = @DISK_LIBS@
508DISK_LINKOBJS = @DISK_LINKOBJS@
509DISK_MODULES = @DISK_MODULES@
510DISK_OS_LIBS = @DISK_OS_LIBS@
511DISK_PROGRAMS = @DISK_PROGRAMS@
512DLLTOOL = @DLLTOOL@
513DSYMUTIL = @DSYMUTIL@
514DUMPBIN = @DUMPBIN@
515ECAP_LIBS = @ECAP_LIBS@
516ECHO_C = @ECHO_C@
517ECHO_N = @ECHO_N@
518ECHO_T = @ECHO_T@
519EGREP = @EGREP@
520EPOLL_LIBS = @EPOLL_LIBS@
521EUILIB = @EUILIB@
522EXEEXT = @EXEEXT@
523EXPATLIB = @EXPATLIB@
524EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
525EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
526EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
527FALSE = @FALSE@
528FGREP = @FGREP@
529GREP = @GREP@
530HAVE_CXX11 = @HAVE_CXX11@
531ICAP_LIBS = @ICAP_LIBS@
532INCLTDL = @INCLTDL@
533INSTALL = @INSTALL@
534INSTALL_DATA = @INSTALL_DATA@
535INSTALL_PROGRAM = @INSTALL_PROGRAM@
536INSTALL_SCRIPT = @INSTALL_SCRIPT@
537INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
538KRB5INCS = @KRB5INCS@
539KRB5LIBS = @KRB5LIBS@
540LBERLIB = @LBERLIB@
541LD = @LD@
542LDAPLIB = @LDAPLIB@
543LDFLAGS = @LDFLAGS@
544LIBADD_DL = @LIBADD_DL@
545LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
546LIBADD_DLOPEN = @LIBADD_DLOPEN@
547LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
548LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
549LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
550LIBLTDL = @LIBLTDL@
551LIBOBJS = @LIBOBJS@
552LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
553LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
554LIBS = @LIBS@
555LIBSASL = @LIBSASL@
556LIBTOOL = @LIBTOOL@
557LIB_DB = @LIB_DB@
558LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
559LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
560LINUXDOC = @LINUXDOC@
561LIPO = @LIPO@
562LN = @LN@
563LN_S = @LN_S@
564LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
565LTDLDEPS = @LTDLDEPS@
566LTDLINCL = @LTDLINCL@
567LTDLOPEN = @LTDLOPEN@
568LTLIBOBJS = @LTLIBOBJS@
569LT_CONFIG_H = @LT_CONFIG_H@
570LT_DLLOADERS = @LT_DLLOADERS@
571LT_DLPREOPEN = @LT_DLPREOPEN@
572MAINT = @MAINT@
573MAKEINFO = @MAKEINFO@
574MANIFEST_TOOL = @MANIFEST_TOOL@
575MINGW_LIBS = @MINGW_LIBS@
576MKDIR = @MKDIR@
577MKDIR_P = @MKDIR_P@
578MV = @MV@
579NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
580NETTLELIB = @NETTLELIB@
581NM = @NM@
582NMEDIT = @NMEDIT@
583NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
584OBJDUMP = @OBJDUMP@
585OBJEXT = @OBJEXT@
586OTOOL = @OTOOL@
587OTOOL64 = @OTOOL64@
588PACKAGE = @PACKAGE@
589PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
590PACKAGE_NAME = @PACKAGE_NAME@
591PACKAGE_STRING = @PACKAGE_STRING@
592PACKAGE_TARNAME = @PACKAGE_TARNAME@
593PACKAGE_URL = @PACKAGE_URL@
594PACKAGE_VERSION = @PACKAGE_VERSION@
595PATH_SEPARATOR = @PATH_SEPARATOR@
596PERL = @PERL@
597PKG_CONFIG = @PKG_CONFIG@
598PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
599PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
600PO2HTML = @PO2HTML@
601PO2TEXT = @PO2TEXT@
602POD2MAN = @POD2MAN@
603RANLIB = @RANLIB@
604REGEXLIB = @REGEXLIB@
605REPL_LIBS = @REPL_LIBS@
606REPL_OBJS = @REPL_OBJS@
607REPL_POLICIES = @REPL_POLICIES@
608RM = @RM@
609SED = @SED@
610SET_MAKE = @SET_MAKE@
611SH = @SH@
612SHELL = @SHELL@
613SMBCLIENT = @SMBCLIENT@
614SNMPLIB = @SNMPLIB@
615SQUID_CFLAGS = @SQUID_CFLAGS@
616SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
617SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
618SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
619SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
620SSLLIB = @SSLLIB@
621STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
622STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
623STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
624STORE_TESTS = @STORE_TESTS@
625STRIP = @STRIP@
626TR = @TR@
627TRUE = @TRUE@
628URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
629VERSION = @VERSION@
630WBINFO = @WBINFO@
631WIN32_PSAPI = @WIN32_PSAPI@
632XMLLIB = @XMLLIB@
633XTRA_LIBS = @XTRA_LIBS@
634XTRA_OBJS = @XTRA_OBJS@
635abs_builddir = @abs_builddir@
636abs_srcdir = @abs_srcdir@
637abs_top_builddir = @abs_top_builddir@
638abs_top_srcdir = @abs_top_srcdir@
639ac_ct_AR = @ac_ct_AR@
640ac_ct_CC = @ac_ct_CC@
641ac_ct_CXX = @ac_ct_CXX@
642ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
643am__include = @am__include@
644am__leading_dot = @am__leading_dot@
645am__quote = @am__quote@
646am__tar = @am__tar@
647am__untar = @am__untar@
648bindir = @bindir@
649build = @build@
650build_alias = @build_alias@
651build_cpu = @build_cpu@
652build_os = @build_os@
653build_vendor = @build_vendor@
654builddir = @builddir@
655datadir = @datadir@
656datarootdir = @datarootdir@
657docdir = @docdir@
658dvidir = @dvidir@
659exec_prefix = @exec_prefix@
660host = @host@
661host_alias = @host_alias@
662host_cpu = @host_cpu@
663host_os = @host_os@
664host_vendor = @host_vendor@
665htmldir = @htmldir@
666includedir = @includedir@
667infodir = @infodir@
668install_sh = @install_sh@
669krb5_config = @krb5_config@
670libdir = @libdir@
671libexecdir = @libexecdir@
672localedir = @localedir@
673localstatedir = @localstatedir@
674ltdl_LIBOBJS = @ltdl_LIBOBJS@
675ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
676mandir = @mandir@
677mkdir_p = @mkdir_p@
678oldincludedir = @oldincludedir@
679pdfdir = @pdfdir@
680prefix = @prefix@
681program_transform_name = @program_transform_name@
682psdir = @psdir@
683runstatedir = @runstatedir@
684sbindir = @sbindir@
685sharedstatedir = @sharedstatedir@
686srcdir = @srcdir@
687subdirs = @subdirs@
688sys_symbol_underscore = @sys_symbol_underscore@
689sysconfdir = @sysconfdir@
690target_alias = @target_alias@
691top_build_prefix = @top_build_prefix@
692top_builddir = @top_builddir@
693top_srcdir = @top_srcdir@
694AM_CFLAGS = $(SQUID_CFLAGS)
695AM_CXXFLAGS = $(SQUID_CXXFLAGS)
696CLEANFILES =
697AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
698        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
699        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
700        $(am__append_1) -I$(srcdir)
701@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
702@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
703COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
704subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
705man_MANS = digest_file_auth.8
706digest_file_auth_SOURCES = digest_file_auth.cc \
707        digest_common.h \
708        text_backend.cc \
709        text_backend.h
710
711LDADD = \
712        $(top_builddir)/lib/libmisccontainers.la \
713        $(top_builddir)/lib/libmiscencoding.la \
714        $(COMPAT_LIB) \
715        $(NETTLELIB) \
716        $(CRYPTLIB) \
717        $(SSLLIB) \
718        $(XTRA_LIBS)
719
720EXTRA_DIST = digest_file_auth.8 required.m4
721all: all-am
722
723.SUFFIXES:
724.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
725$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
726        @for dep in $?; do \
727          case '$(am__configure_deps)' in \
728            *$$dep*) \
729              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
730                && { if test -f $@; then exit 0; else break; fi; }; \
731              exit 1;; \
732          esac; \
733        done; \
734        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign helpers/digest_auth/file/Makefile'; \
735        $(am__cd) $(top_srcdir) && \
736          $(AUTOMAKE) --foreign helpers/digest_auth/file/Makefile
737Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
738        @case '$?' in \
739          *config.status*) \
740            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
741          *) \
742            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
743            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
744        esac;
745$(top_srcdir)/src/Common.am $(am__empty):
746
747$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
748        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
749
750$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
751        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
752$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
753        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
754$(am__aclocal_m4_deps):
755
756clean-checkPROGRAMS:
757        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
758        echo " rm -f" $$list; \
759        rm -f $$list || exit $$?; \
760        test -n "$(EXEEXT)" || exit 0; \
761        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
762        echo " rm -f" $$list; \
763        rm -f $$list
764install-libexecPROGRAMS: $(libexec_PROGRAMS)
765        @$(NORMAL_INSTALL)
766        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
767        if test -n "$$list"; then \
768          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
769          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
770        fi; \
771        for p in $$list; do echo "$$p $$p"; done | \
772        sed 's/$(EXEEXT)$$//' | \
773        while read p p1; do if test -f $$p \
774         || test -f $$p1 \
775          ; then echo "$$p"; echo "$$p"; else :; fi; \
776        done | \
777        sed -e 'p;s,.*/,,;n;h' \
778            -e 's|.*|.|' \
779            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
780        sed 'N;N;N;s,\n, ,g' | \
781        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
782          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
783            if ($$2 == $$4) files[d] = files[d] " " $$1; \
784            else { print "f", $$3 "/" $$4, $$1; } } \
785          END { for (d in files) print "f", d, files[d] }' | \
786        while read type dir files; do \
787            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
788            test -z "$$files" || { \
789            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
790            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
791            } \
792        ; done
793
794uninstall-libexecPROGRAMS:
795        @$(NORMAL_UNINSTALL)
796        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
797        files=`for p in $$list; do echo "$$p"; done | \
798          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
799              -e 's/$$/$(EXEEXT)/' \
800        `; \
801        test -n "$$list" || exit 0; \
802        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
803        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
804
805clean-libexecPROGRAMS:
806        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
807        echo " rm -f" $$list; \
808        rm -f $$list || exit $$?; \
809        test -n "$(EXEEXT)" || exit 0; \
810        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
811        echo " rm -f" $$list; \
812        rm -f $$list
813
814digest_file_auth$(EXEEXT): $(digest_file_auth_OBJECTS) $(digest_file_auth_DEPENDENCIES) $(EXTRA_digest_file_auth_DEPENDENCIES)
815        @rm -f digest_file_auth$(EXEEXT)
816        $(AM_V_CXXLD)$(CXXLINK) $(digest_file_auth_OBJECTS) $(digest_file_auth_LDADD) $(LIBS)
817
818mostlyclean-compile:
819        -rm -f *.$(OBJEXT)
820
821distclean-compile:
822        -rm -f *.tab.c
823
824@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/digest_file_auth.Po@am__quote@
825@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/text_backend.Po@am__quote@
826
827.cc.o:
828@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
829@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
830@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
831@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
832@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
833@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
834
835.cc.obj:
836@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
837@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
838@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
839@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
840@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
841@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
842
843.cc.lo:
844@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
845@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
846@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
847@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
848@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
849@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
850
851mostlyclean-libtool:
852        -rm -f *.lo
853
854clean-libtool:
855        -rm -rf .libs _libs
856install-man8: $(man_MANS)
857        @$(NORMAL_INSTALL)
858        @list1=''; \
859        list2='$(man_MANS)'; \
860        test -n "$(man8dir)" \
861          && test -n "`echo $$list1$$list2`" \
862          || exit 0; \
863        echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
864        $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
865        { for i in $$list1; do echo "$$i"; done;  \
866        if test -n "$$list2"; then \
867          for i in $$list2; do echo "$$i"; done \
868            | sed -n '/\.8[a-z]*$$/p'; \
869        fi; \
870        } | while read p; do \
871          if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
872          echo "$$d$$p"; echo "$$p"; \
873        done | \
874        sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
875              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
876        sed 'N;N;s,\n, ,g' | { \
877        list=; while read file base inst; do \
878          if test "$$base" = "$$inst"; then list="$$list $$file"; else \
879            echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
880            $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
881          fi; \
882        done; \
883        for i in $$list; do echo "$$i"; done | $(am__base_list) | \
884        while read files; do \
885          test -z "$$files" || { \
886            echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
887            $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
888        done; }
889
890uninstall-man8:
891        @$(NORMAL_UNINSTALL)
892        @list=''; test -n "$(man8dir)" || exit 0; \
893        files=`{ for i in $$list; do echo "$$i"; done; \
894        l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
895          sed -n '/\.8[a-z]*$$/p'; \
896        } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
897              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
898        dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
899
900ID: $(am__tagged_files)
901        $(am__define_uniq_tagged_files); mkid -fID $$unique
902tags: tags-am
903TAGS: tags
904
905tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
906        set x; \
907        here=`pwd`; \
908        $(am__define_uniq_tagged_files); \
909        shift; \
910        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
911          test -n "$$unique" || unique=$$empty_fix; \
912          if test $$# -gt 0; then \
913            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
914              "$$@" $$unique; \
915          else \
916            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
917              $$unique; \
918          fi; \
919        fi
920ctags: ctags-am
921
922CTAGS: ctags
923ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
924        $(am__define_uniq_tagged_files); \
925        test -z "$(CTAGS_ARGS)$$unique" \
926          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
927             $$unique
928
929GTAGS:
930        here=`$(am__cd) $(top_builddir) && pwd` \
931          && $(am__cd) $(top_srcdir) \
932          && gtags -i $(GTAGS_ARGS) "$$here"
933cscopelist: cscopelist-am
934
935cscopelist-am: $(am__tagged_files)
936        list='$(am__tagged_files)'; \
937        case "$(srcdir)" in \
938          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
939          *) sdir=$(subdir)/$(srcdir) ;; \
940        esac; \
941        for i in $$list; do \
942          if test -f "$$i"; then \
943            echo "$(subdir)/$$i"; \
944          else \
945            echo "$$sdir/$$i"; \
946          fi; \
947        done >> $(top_builddir)/cscope.files
948
949distclean-tags:
950        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
951
952# Recover from deleted '.trs' file; this should ensure that
953# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
954# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
955# to avoid problems with "make -n".
956.log.trs:
957        rm -f $< $@
958        $(MAKE) $(AM_MAKEFLAGS) $<
959
960# Leading 'am--fnord' is there to ensure the list of targets does not
961# expand to empty, as could happen e.g. with make check TESTS=''.
962am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
963am--force-recheck:
964        @:
965
966$(TEST_SUITE_LOG): $(TEST_LOGS)
967        @$(am__set_TESTS_bases); \
968        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
969        redo_bases=`for i in $$bases; do \
970                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
971                    done`; \
972        if test -n "$$redo_bases"; then \
973          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
974          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
975          if $(am__make_dryrun); then :; else \
976            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
977          fi; \
978        fi; \
979        if test -n "$$am__remaking_logs"; then \
980          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
981               "recursion detected" >&2; \
982        elif test -n "$$redo_logs"; then \
983          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
984        fi; \
985        if $(am__make_dryrun); then :; else \
986          st=0;  \
987          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
988          for i in $$redo_bases; do \
989            test -f $$i.trs && test -r $$i.trs \
990              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
991            test -f $$i.log && test -r $$i.log \
992              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
993          done; \
994          test $$st -eq 0 || exit 1; \
995        fi
996        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
997        ws='[   ]'; \
998        results=`for b in $$bases; do echo $$b.trs; done`; \
999        test -n "$$results" || results=/dev/null; \
1000        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1001        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1002        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1003        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1004        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1005        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1006        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1007        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1008          success=true; \
1009        else \
1010          success=false; \
1011        fi; \
1012        br='==================='; br=$$br$$br$$br$$br; \
1013        result_count () \
1014        { \
1015            if test x"$$1" = x"--maybe-color"; then \
1016              maybe_colorize=yes; \
1017            elif test x"$$1" = x"--no-color"; then \
1018              maybe_colorize=no; \
1019            else \
1020              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1021            fi; \
1022            shift; \
1023            desc=$$1 count=$$2; \
1024            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1025              color_start=$$3 color_end=$$std; \
1026            else \
1027              color_start= color_end=; \
1028            fi; \
1029            echo "$${color_start}# $$desc $$count$${color_end}"; \
1030        }; \
1031        create_testsuite_report () \
1032        { \
1033          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1034          result_count $$1 "PASS: " $$pass  "$$grn"; \
1035          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1036          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1037          result_count $$1 "FAIL: " $$fail  "$$red"; \
1038          result_count $$1 "XPASS:" $$xpass "$$red"; \
1039          result_count $$1 "ERROR:" $$error "$$mgn"; \
1040        }; \
1041        {                                                               \
1042          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1043            $(am__rst_title);                                           \
1044          create_testsuite_report --no-color;                           \
1045          echo;                                                         \
1046          echo ".. contents:: :depth: 2";                               \
1047          echo;                                                         \
1048          for b in $$bases; do echo $$b; done                           \
1049            | $(am__create_global_log);                                 \
1050        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1051        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1052        if $$success; then                                              \
1053          col="$$grn";                                                  \
1054         else                                                           \
1055          col="$$red";                                                  \
1056          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1057        fi;                                                             \
1058        echo "$${col}$$br$${std}";                                      \
1059        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1060        echo "$${col}$$br$${std}";                                      \
1061        create_testsuite_report --maybe-color;                          \
1062        echo "$$col$$br$$std";                                          \
1063        if $$success; then :; else                                      \
1064          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1065          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1066            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1067          fi;                                                           \
1068          echo "$$col$$br$$std";                                        \
1069        fi;                                                             \
1070        $$success || exit 1
1071
1072check-TESTS:
1073        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1074        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1075        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1076        @set +e; $(am__set_TESTS_bases); \
1077        log_list=`for i in $$bases; do echo $$i.log; done`; \
1078        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1079        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1080        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1081        exit $$?;
1082recheck: all $(check_PROGRAMS)
1083        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1084        @set +e; $(am__set_TESTS_bases); \
1085        bases=`for i in $$bases; do echo $$i; done \
1086                 | $(am__list_recheck_tests)` || exit 1; \
1087        log_list=`for i in $$bases; do echo $$i.log; done`; \
1088        log_list=`echo $$log_list`; \
1089        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1090                am__force_recheck=am--force-recheck \
1091                TEST_LOGS="$$log_list"; \
1092        exit $$?
1093.test.log:
1094        @p='$<'; \
1095        $(am__set_b); \
1096        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1097        --log-file $$b.log --trs-file $$b.trs \
1098        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1099        "$$tst" $(AM_TESTS_FD_REDIRECT)
1100@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1101@am__EXEEXT_TRUE@       @p='$<'; \
1102@am__EXEEXT_TRUE@       $(am__set_b); \
1103@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1104@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1105@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1106@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1107
1108distdir: $(DISTFILES)
1109        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1110        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1111        list='$(DISTFILES)'; \
1112          dist_files=`for file in $$list; do echo $$file; done | \
1113          sed -e "s|^$$srcdirstrip/||;t" \
1114              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1115        case $$dist_files in \
1116          */*) $(MKDIR_P) `echo "$$dist_files" | \
1117                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1118                           sort -u` ;; \
1119        esac; \
1120        for file in $$dist_files; do \
1121          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1122          if test -d $$d/$$file; then \
1123            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1124            if test -d "$(distdir)/$$file"; then \
1125              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1126            fi; \
1127            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1128              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1129              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1130            fi; \
1131            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1132          else \
1133            test -f "$(distdir)/$$file" \
1134            || cp -p $$d/$$file "$(distdir)/$$file" \
1135            || exit 1; \
1136          fi; \
1137        done
1138check-am: all-am
1139        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1140        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1141check: check-am
1142all-am: Makefile $(PROGRAMS) $(MANS)
1143installdirs:
1144        for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"; do \
1145          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1146        done
1147install: install-am
1148install-exec: install-exec-am
1149install-data: install-data-am
1150uninstall: uninstall-am
1151
1152install-am: all-am
1153        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1154
1155installcheck: installcheck-am
1156install-strip:
1157        if test -z '$(STRIP)'; then \
1158          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1159            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1160              install; \
1161        else \
1162          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1163            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1164            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1165        fi
1166mostlyclean-generic:
1167        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1168        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1169        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1170
1171clean-generic:
1172        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1173
1174distclean-generic:
1175        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1176        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1177
1178maintainer-clean-generic:
1179        @echo "This command is intended for maintainers to use"
1180        @echo "it deletes files that may require special tools to rebuild."
1181clean: clean-am
1182
1183clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1184        clean-libtool mostlyclean-am
1185
1186distclean: distclean-am
1187        -rm -rf ./$(DEPDIR)
1188        -rm -f Makefile
1189distclean-am: clean-am distclean-compile distclean-generic \
1190        distclean-tags
1191
1192dvi: dvi-am
1193
1194dvi-am:
1195
1196html: html-am
1197
1198html-am:
1199
1200info: info-am
1201
1202info-am:
1203
1204install-data-am: install-man
1205
1206install-dvi: install-dvi-am
1207
1208install-dvi-am:
1209
1210install-exec-am: install-libexecPROGRAMS
1211
1212install-html: install-html-am
1213
1214install-html-am:
1215
1216install-info: install-info-am
1217
1218install-info-am:
1219
1220install-man: install-man8
1221
1222install-pdf: install-pdf-am
1223
1224install-pdf-am:
1225
1226install-ps: install-ps-am
1227
1228install-ps-am:
1229
1230installcheck-am:
1231
1232maintainer-clean: maintainer-clean-am
1233        -rm -rf ./$(DEPDIR)
1234        -rm -f Makefile
1235maintainer-clean-am: distclean-am maintainer-clean-generic
1236
1237mostlyclean: mostlyclean-am
1238
1239mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1240        mostlyclean-libtool
1241
1242pdf: pdf-am
1243
1244pdf-am:
1245
1246ps: ps-am
1247
1248ps-am:
1249
1250uninstall-am: uninstall-libexecPROGRAMS uninstall-man
1251
1252uninstall-man: uninstall-man8
1253
1254.MAKE: check-am install-am install-strip
1255
1256.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1257        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1258        clean-libtool cscopelist-am ctags ctags-am distclean \
1259        distclean-compile distclean-generic distclean-libtool \
1260        distclean-tags distdir dvi dvi-am html html-am info info-am \
1261        install install-am install-data install-data-am install-dvi \
1262        install-dvi-am install-exec install-exec-am install-html \
1263        install-html-am install-info install-info-am \
1264        install-libexecPROGRAMS install-man install-man8 install-pdf \
1265        install-pdf-am install-ps install-ps-am install-strip \
1266        installcheck installcheck-am installdirs maintainer-clean \
1267        maintainer-clean-generic mostlyclean mostlyclean-compile \
1268        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1269        recheck tags tags-am uninstall uninstall-am \
1270        uninstall-libexecPROGRAMS uninstall-man uninstall-man8
1271
1272.PRECIOUS: Makefile
1273
1274
1275$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1276
1277# Tell versions [3.59,3.63) of GNU make to not export all variables.
1278# Otherwise a system limit (for SysV at least) may be exceeded.
1279.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.